PUT
/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/{start_stop_restart}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
start_stop_restart
required
string
Start/Stop/Restart DBaaS
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Responses
Section titled “Responses”The DBaaS is Successfully Updated.
Media typeapplication/json
object
code
integer
data
object
message
The message of the cluster is successfully updating.
string
cluster_id
The ID of the cluster is updating.
integer
name
The name of the DBaaS cluster is updating.
string
errors
object
message
string
Example
{ "code": 200, "data": { "message": "DBaaS process started.", "cluster_id": 5276, "name": "E2E-DBaaS-26322-2920" }, "errors": {}, "message": "Success"}